Bug 240624 - devel/llvm-devel: Fails to package with synth
Summary: devel/llvm-devel: Fails to package with synth
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-17 05:49 UTC by Trond.Endrestol
Modified: 2019-09-19 13:11 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brooks)
koobs: merge-quarterly?


Attachments
synth's log from last successful build of devel/llvm-devel (203.29 KB, application/octet-stream)
2019-09-17 10:31 UTC, Trond.Endrestol
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trond.Endrestol 2019-09-17 05:49:24 UTC
While building devel/llvm-devel using ports-mgmt/synth, these error messages kept coming up:

pkg-static: Unable to access file /construction/xports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/clang/Index/CodegenNameGenerator.h:No such file or directory
pkg-static: Unable to access file /construction/xports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/clang/StaticAnalyzer/Core/BugReporter/PathDiagnostic.h:No such file or directory
pkg-static: Unable to access file /construction/xports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/clang/StaticAnalyzer/Core/PathSensitive/DynamicTypeMap.h:No such file or directory
pkg-static: Unable to access file /construction/xports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/lldb/Utility/CleanUp.h:No such file or directory
pkg-static: Unable to access file /construction/xports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/llvm/ADT/VariadicFunction.h:No such file or directory

The build succeeded only by editing pkg-plist, adding "@comment " in front of the 5 files.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-17 05:52:03 UTC
Thank you for the report. Could you include the full build log, including the OPTIONS set that was used
Comment 2 Trond.Endrestol 2019-09-17 10:31:51 UTC
Created attachment 207558 [details]
synth's log from last successful build of devel/llvm-devel
Comment 3 Trond.Endrestol 2019-09-17 10:33:30 UTC
(In reply to Kubilay Kocak from comment #1)
# make -C /usr/ports/devel/llvm-devel showconfig
===> The following configuration options are available for llvm-devel-10.0.d20190913:
     CLANG=on: Build clang
     COMPILER_RT=on: Sanitizer libraries
     DOCS=off: Build and/or install documentation
     EXTRAS=on: Extra clang tools
     GOLD=on: Build the LLVM Gold plugin for LTO
     LIT=on: Install lit and FileCheck test tools
     LLD=on: Install lld, the LLVM linker
     LLDB=on: Install lldb, the LLVM debugger
     OPENMP=on: Install libomp, the LLVM OpenMP runtime library
Comment 4 Ruslan Garipov 2019-09-18 04:06:20 UTC
Got the same issue with "explicit" (re)installation:

$ cd /usr/ports/devel/llvm-devel
$ su root -c "make build deinstall"
Password:
{elided; completed successfully}
$ su root -c "make reinstall"
Password:
===>  Deinstalling for llvm-devel
===>   llvm-devel not installed, skipping
===>  Installing for llvm-devel-10.0.d20190913
===>  Checking if llvm-devel is already installed
===>   Registering installation for llvm-devel-10.0.d20190913
pkg-static: Unable to access file /usr/ports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/clang/Index/CodegenNameGenerator.h:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/clang/StaticAnalyzer/Core/BugReporter/PathDiagnostic.h:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/clang/StaticAnalyzer/Core/PathSensitive/DynamicTypeMap.h:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/lldb/Utility/CleanUp.h:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/llvm-devel/work/stage/usr/local/llvm-devel/include/llvm/ADT/VariadicFunction.h:No such file or directory
*** Error code 74

Stop.
make[2]: stopped in /usr/ports/devel/llvm-devel
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/llvm-devel
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/llvm-devel
$ make showconfig
===> The following configuration options are available for llvm-devel-10.0.d20190913:
     CLANG=on: Build clang
     COMPILER_RT=on: Sanitizer libraries
     DOCS=on: Build and/or install documentation
     EXTRAS=on: Extra clang tools
     GOLD=on: Build the LLVM Gold plugin for LTO
     LIT=off: Install lit and FileCheck test tools
     LLD=on: Install lld, the LLVM linker
     LLDB=on: Install lldb, the LLVM debugger
     OPENMP=off: Install libomp, the LLVM OpenMP runtime library
===> Use 'make config' to modify these settings
Comment 5 Brooks Davis freebsd_committer 2019-09-19 13:11:51 UTC
Sorry about this.  I've applied a fix r512330.